Bug 204826 - [testcase] border-radius doesn't clip background-color for text <input>s
Summary: [testcase] border-radius doesn't clip background-color for text <input>s
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml forms (show other bugs)
Version: 4.7.0
Platform: Gentoo Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-23 04:48 UTC by Neil Skrypuch
Modified: 2011-08-20 19:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments
Test case (760 bytes, text/html)
2009-08-23 04:50 UTC, Neil Skrypuch
Details
Simplified testcase with only an input text (137 bytes, text/html)
2011-08-13 13:47 UTC, Andrea Iacovitti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Skrypuch 2009-08-23 04:48:18 UTC
Version:            (using KDE 4.3.0)
Compiler:          gcc version 4.3.2 (Gentoo 4.3.2-r3 p1.6, pie-10.1.5) 
OS:                Linux
Installed from:    Gentoo Packages

Konqueror allows one to apply border-radius to most elements now, including form elements. However, on text fields (<input type="text">) the background-color of the <input> is not clipped at the border, but rather it overflows it and ends up looking quite ugly. Curiously enough, this only happens for text inputs... regular buttons, submit buttons and textareas are all clipped properly. I also tried applying overflow: hidden; to the <input>s, which had no effect.

Konqueror should clip the background-color for text inputs properly, as it does for regular form buttons and textareas.

I'll attach a test case in a moment...
Comment 1 Neil Skrypuch 2009-08-23 04:50:11 UTC
Created attachment 36380 [details]
Test case

Mouse over or focus a form element to give it background-color.
Comment 2 Neil Skrypuch 2010-02-17 22:48:13 UTC
Still an issue in 4.4.0.
Comment 3 Neil Skrypuch 2011-01-29 05:08:30 UTC
Still an issue in 4.6.0.
Comment 4 Neil Skrypuch 2011-07-29 01:49:01 UTC
Still an issue in 4.7.0.
Comment 5 Andrea Iacovitti 2011-08-13 13:47:42 UTC
Created attachment 62808 [details]
Simplified testcase with only an input text
Comment 6 Andrea Iacovitti 2011-08-20 19:44:03 UTC
Git commit 5bd5c1f781c3ffc6dcd6352429d1e33f8295db10 by Andrea Iacovitti.
Committed on 20/08/2011 at 21:39.
Pushed by aiacovitti into branch 'KDE/4.7'.

Painting the background of LineEdit widget with css borders (!hasFrame()==true)
is already accomplished by khtml, so why redo in paintEvent?

BUG: 204826
FIXED-IN: 4.7.1

M  +1    -6    khtml/rendering/render_form.cpp

http://commits.kde.org/kdelibs/5bd5c1f781c3ffc6dcd6352429d1e33f8295db10
Comment 7 Andrea Iacovitti 2011-08-20 19:46:35 UTC
Git commit dd030f60d7aad1ba0d9db1675a5845132ca0beb0 by Andrea Iacovitti.
Committed on 20/08/2011 at 21:39.
Pushed by aiacovitti into branch 'frameworks'.

Painting the background of LineEdit widget with css borders (!hasFrame()==true)
is already accomplished by khtml, so why redo in paintEvent?

BUG: 204826
FIXED-IN: 4.7.1
(cherry picked from commit 5bd5c1f781c3ffc6dcd6352429d1e33f8295db10)

M  +1    -6    khtml/rendering/render_form.cpp

http://commits.kde.org/kdelibs/dd030f60d7aad1ba0d9db1675a5845132ca0beb0